ata_dev_configure
Prev | Chapter 5. libata Core Internals | Next

## Name

ata_dev_configure — Configure the specified ATA/ATAPI device

## Synopsis

`int ata_dev_configure (` | struct ata_device * | dev`)`;

## Arguments

`dev`

  Target device to configure

## Description

Configure `dev` according to `dev`->id. Generic and low-level driver specific fixups are also applied.

## LOCKING

Kernel thread context (may sleep)

## RETURNS

0 on success, -errno otherwise

Prev | Up | Next
ata_dev_read_id | Home | ata_bus_probe